import { Done } from '../../../../../Class/Functional/Done';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
import { Component_ } from '../../../../../types/interface/Component';
export type I = {
    component: Component_;
};
export type O = {
    width: number;
    height: number;
};
export default class SizeObserver extends Semifunctional<I, O> {
    constructor(system: System);
    private _observer;
    f({ component }: I, done: Done<O>): void;
    d(): void;
}
